ListAccessGrants
GET
/api/v1/t/{tenant}/access-grants
const url = 'https://example.com/api/v1/t/example/access-grants?scopeType=Tenant';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/t/example/access-grants?scopeType=Tenant'Parameters
Abschnitt betitelt „ Parameters “Path Parameters
Abschnitt betitelt „Path Parameters“tenant
required
string
Tenant slug
Query Parameters
Abschnitt betitelt „Query Parameters“scopeType
scopeId
string format: uuid
Responses
Abschnitt betitelt „ Responses “OK
Media typeapplication/json
Array<object>
object
id
required
string format: uuid
principalType
required
principalId
required
string format: uuid
principalName
required
null | string
principalKey
required
null | string
scopeType
required
scopeId
required
null | string format: uuid
level
required
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
[ { "principalType": "Role", "scopeType": "Tenant", "level": "Read" }]Forbidden
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Too Many Requests
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}